#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

const long MAX_TIME = 210000; //20000

template<class T>T Max(T a, T b){return a > b ? a : b;}

int main(void)
{
#ifndef ONLINE_JUDGE
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif

	long burger1Time, burger2Time, maxTime;
	while(scanf("%ld %ld %ld", &burger1Time, &burger2Time, &maxTime) == 3)
	{
		long cBurgers[MAX_TIME + 1];
		memset(cBurgers, 0, sizeof(cBurgers[0]) * Max(maxTime + burger1Time + 15, maxTime + burger2Time + 15));
		long time;
		for(time = 0; time <= maxTime; ++time)
			if(!time || cBurgers[time])
			{
				cBurgers[time + burger1Time] = Max(cBurgers[time + burger1Time], cBurgers[time] + 1);
				cBurgers[time + burger2Time] = Max(cBurgers[time + burger2Time], cBurgers[time] + 1);
			}

		for(time = maxTime; time > 0; --time)
			if(cBurgers[time])break;
        
		if(time != maxTime)printf("%ld %ld\n", cBurgers[time], maxTime - time);
		else printf("%ld\n", cBurgers[time]);
	}

#ifndef ONLINE_JUDGE
	fclose(stdout);
	fclose(stdin);
#endif

	return 0;
}